org.apache.cassandra.io.util

## Interface RebuffererFactory

- All Superinterfaces:
    java.lang.AutoCloseable, ReaderFileProxy
  All Known Subinterfaces:
    ChunkReader
  All Known Implementing Classes:
    CompressedChunkReader, CompressedChunkReader.Mmap, CompressedChunkReader.Standard

      public interface RebuffererFactory
      extends ReaderFileProxy

  Interface for the classes that can be used to instantiate rebufferers over a given file. These are one of two types: - chunk sources (e.g. SimpleReadRebufferer) which instantiate a buffer managing rebufferer referencing themselves. - thread-safe shared rebufferers (e.g. MmapRebufferer) which directly return themselves.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Rebufferer` | `instantiateRebufferer()`

    - ### Methods inherited from interface org.apache.cassandra.io.util.ReaderFileProxy

      `channel, close, fileLength, getCrcCheckChance`

- - ### Method Detail

    - #### instantiateRebufferer

          Rebufferer instantiateRebufferer()

Copyright © 2018 The Apache Software Foundation